Name:           perl-RT-Extension-LDAPImport
Version:        0.36
Release:        2%{?dist}
Summary:        RT::Extension::LDAPImport Perl module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/RT-Extension-LDAPImport/
Source0:        http://www.cpan.org/authors/id/A/AL/ALEXMV/RT-Extension-LDAPImport-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 1:5.8.3
BuildRequires:  perl(Class::Accessor)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Net::LDAP)
BuildRequires:  perl(Net::LDAP::Server::Test)
BuildRequires:  perl(Test::More)
BuildRequires:	perl(RT)
BuildRequires:	perl(CPAN)
Requires:	perl(RT)
Requires:       perl(Class::Accessor)
Requires:       perl(Net::LDAP)
Requires:       perl(Net::LDAP::Server::Test)
Requires:       perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Set($LDAPHost,'my.ldap.host') Set($LDAPUser,'me');
Set($LDAPPassword,'mypass'); Set($LDAPFilter, '(&(cn = users))');
Set($LDAPMapping, {Name         => 'uid', # required
EmailAddress => 'mail',                   RealName     => 'cn',
WorkPhone    => 'telephoneNumber',                   Organization =>
'departmentName'});

# Add to any existing plugins
Set(@Plugins, qw(RT::Extension::LDAPImport));

# If you want to sync Groups from LDAP into RT

Set($LDAPGroupBase, 'ou=Groups,o=Our Place'); Set($LDAPGroupFilter, '(&(cn
= Groups))'); Set($LDAPGroupMapping, {Name               => 'cn',
Member_Attr        => 'member',                        Member_Attr_Value
=> 'dn' });

%prep
%setup -q -n RT-Extension-LDAPImport-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes INSTALL.SKIP README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%post
# If the package is being installed, not upgraded...
if [ $1 -eq 0 ]; then
cat <<EOF
RT::Authen::ExternalAuth installation complete.

By default, newly installed plugins are not enabled. To enable, edit your
/opt/rt4/etc/RT_SiteConfig.pm file.

If you are using RT 4.2 or greater, add this line:

    Plugin('RT::Authen::ExternalAuth');

For RT 4.0, add this line:

    Set(@Plugins, qw(RT::Authen::ExternalAuth) );

or add RT::Authen::ExternalAuth to your existing @Plugins line.

Be sure to configure any additional settings at this extension requires. Read
the documentation carefully. Do not forget to clear your RT cache...

    rm -rf /opt/rt4/var/mason_data/obj

... and restart your webserver.
EOF;
fi

%postun
# If this package is being uninstalled, not upgraded...
if [ $1 -eq 0 ]; then
cat <<EOF
RT::Authen::ExternalAuth removal complete.

If this plugin was enabled, you will need to be disabled manually by editing
your /opt/rt4/etc/RT_SiteConfig.pm file.

If you are using RT 4.2 or greater, remove this line:

    Plugin('RT::Authen::ExternalAuth');

For RT 4.0, remove this line:

    Set(@Plugins, qw(RT::Authen::ExternalAuth) );

or remove RT::Authen::ExternalAuth from your existing @Plugins line.

Do not forget to clear your RT cache...

    rm -rf /opt/rt4/var/mason_data/obj

... and restart your webserver.
EOF;
fi

%changelog
* Tue Jul 05 2016 Derek Maciel <dam402@nbcs.rutgers.edu> 0.36-2
- Added post-install and post-uninstall messages

* Wed Jun 08 2016 Derek Maciel <dam402@nbcs.rutgers.edu> 0.36-1
- Specfile autogenerated by cpanspec 1.78.
